Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetTasksByStatusByProcessInstanceIdCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<List<TaskSummary>>
          org.jbpm.services.task.commands.GetTasksByStatusByProcessInstanceIdCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<TaskSummary>>, Command<List<TaskSummary>>

    public class GetTasksByStatusByProcessInstanceIdCommand

extends TaskCommand<List<TaskSummary>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetTasksByStatusByProcessInstanceIdCommand()`
`GetTasksByStatusByProcessInstanceIdCommand(long processInstanceId, String language, List<Status> status)`
`GetTasksByStatusByProcessInstanceIdCommand(long processInstanceId, String language, List<Status> status, String taskName)`

Method Summary
`List<TaskSummary>` | `execute(org.kie.internal.command.Context cntxt)`
`String` | `getLanguage()`
`Long` | `getProcessInstanceId()`
`List<Status>` | `getStatus()`
`void` | `setLanguage(String language)`
`void` | `setProcessInstanceId(Long processInstanceId)`
`void` | `setStatus(List<Status> status)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTasksByStatusByProcessInstanceIdCommand

    public GetTasksByStatusByProcessInstanceIdCommand()

### GetTasksByStatusByProcessInstanceIdCommand

    public GetTasksByStatusByProcessInstanceIdCommand(long processInstanceId,
                                                      String language,
                                                      List<Status> status)

### GetTasksByStatusByProcessInstanceIdCommand

    public GetTasksByStatusByProcessInstanceIdCommand(long processInstanceId,
                                                      String language,
                                                      List<Status> status,
                                                      String taskName)

Method Detail

### getProcessInstanceId

    public Long getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(Long processInstanceId)

### getLanguage

    public String getLanguage()

### setLanguage

    public void setLanguage(String language)

### getStatus

    public List<Status> getStatus()

### setStatus

    public void setStatus(List<Status> status)

### execute

    public List<TaskSummary> execute(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.